Admin Update Team Settings
curl --request PATCH \
--url https://api.example.com/api/v1/admin/teams/{slug}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_enabled": true,
"trigger_types": [],
"brief_template_override": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/admin/teams/{slug}/settings"
payload = {
"chat_enabled": True,
"trigger_types": [],
"brief_template_override": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chat_enabled: true,
trigger_types: [],
brief_template_override: '<string>',
note: '<string>'
})
};
fetch('https://api.example.com/api/v1/admin/teams/{slug}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin
Admin Update Team Settings
Partial update of a team’s admin-managed settings.
PATCH
/
api
/
v1
/
admin
/
teams
/
{slug}
/
settings
Admin Update Team Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial update of a team's admin-managed settings.
Consistency rules enforced in the route handler (matches the DB CHECK):
- lifecycle_type='cyclical' → cycle_start_mode must be non-null after update
- lifecycle_type='trigger_based' → trigger_types must contain ≥1 entry after update
Available options:
cyclical, trigger_based Available options:
yes, no, optional Available options:
strategy, briefing_form Available options:
task, strategy, briefing_form, file_upload Maximum string length:
10000Maximum string length:
500Response
Successful Response
Was this page helpful?
⌘I